<template>
  <div class="rules-box">
    <div class="rules-box-inner">
      <h1>GRADIENT</h1>
      <h2>How To Play</h2>
      <p>
      Click color chips to select them, and then click highlighted empty cells to move
      them single steps or to jump over other color chips. When jumping over a color chip,
      the color chip being jumped over will change to the next color of the rainbow
      </p>
      <p>
      Create straight or diagonal rows of color chips that form a color gradient,
      like a full or partial rainbow, then select the first color chip and click the last color chip
      of the row to clear it off the board. The longer the row, the more points you get
      </p>
      <p>
      Make sure to clear off rows of color chips with a limited number of moves.
      As you clear color chips off the board, you'll get your moves filled back up and increase
      your maximum number of moves as you go
      </p>
      <p>
      Clear all the color chips off the board and you've beat the level! Make sure to click the
      Next Level button to save your score, and unlock more levels
      </p>
      <p>
      Select levels on the left and see how far you can go!
      </p>
      <p>
        <a href="https://gitlab.com/lee.comstock/gradient-solitaire" target="_blank">
          Source Code
        </a>
      </p>
    </div>
  </div>
</template>

<script lang="ts">
export default {
}
</script>

<style lang="scss">
.rules-box {
  position: fixed;
  top: 20px;
  right: 20px;
  background: #26282c;
  padding: 20px;
  border-radius: 50px;
  box-shadow: 0 10px 10px #0005;
  height: 0;
  width: 100px;
  overflow: hidden;
  transition: 0.5s;
  user-select: none;
  z-index: 0;
  &:hover {
    width: 300px;
    top: 0;
    right: 0;
    height: 100vh;
    border-radius: 0;
    z-index: 100;
    .rules-box-inner {
      margin: 0;
      h2 {
        font-size: 20px;
        padding: 10px;
      }
    }
  }
  .rules-box-inner {
    transition: 0.5s;
    width: 300px;
    margin: -82px 0px 0px 15px;
    h2 {
      transition: 0.5s;
      font-size: 10px;
      padding: 20px 10px;
    }
  }
  h1, h2, p {
    padding: 8px 10px;
  }
  h1 {
    letter-spacing: 10px;
  }
  h2 {
    color: #7bf68f;
  }
  p {
    font-size: 12px;
  }
  a {
    color: #fff68a;
    margin: 0 20px 20px 0;
    display: inline-flex;
  }
}
</style>
